%def_disable static

Name: libgmime
Version: 2.2.4
Release: alt1

Summary: MIME library
License: GPL
Group: System/Libraries
Url: http://spruce.sourceforge.net/gmime/
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: gmime-%version.tar.gz

BuildRequires: gcc-c++ glib2-devel libgtk-sharp2-gapi libgtk-sharp2-devel mono-mcs packages-info-i18n-common zlib-devel
BuildRequires: /proc
BuildPreReq: rpm-build-mono

%description
GMime is a set of utilities for parsing and creating messages using
the Multipurpose Internet Mail Extension (MIME)

%package -n %name-devel
Summary: Development files for libgmime
Group: Development/C
PreReq: %name = %version-%release
License: GPL

%description -n %name-devel
This package contains development files required for packaging
libgmime-based software.

%package -n %name-sharp
Summary: C# bindings
Group: Development/Other
PreReq: %name = %version-%release
License: GPL

%description -n %name-sharp
C# bindings

%package -n %name-devel-static
Summary: Static libraries for libgmime
Group: Development/C
PreReq: %name-devel = %version-%release
License: GPL

%description -n %name-devel-static
This package contains development libraries required for packaging
statically linked libgmime-based software.

%prep
%setup -q -n gmime-%version

%build
%configure  %{subst_enable static} \
	    --enable-gtk-doc \
	    --enable-mono
%make

%install
%makeinstall

# rename to prevent conflict with uu* utils from sharutils

mv %buildroot%prefix/bin/uuencode %buildroot%prefix/bin/gmime-uuencode
mv %buildroot%prefix/bin/uudecode %buildroot%prefix/bin/gmime-uudecode

%post -n %name -p %post_ldconfig

%postun -n %name -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%_libdir/lib*.so.*

%files -n %name-devel
%_bindir/*
%_libdir/*.sh
%_includedir/gmime-2.0/gmime/*.h
%_libdir/*.so
%_libdir/pkgconfig/gmime-2.0.pc
%dir %_datadir/gtk-doc/html/gmime
%_datadir/gtk-doc/html/gmime/*

%files -n %name-sharp
%dir %_monogacdir/gmime-sharp
%_monogacdir/gmime-sharp/*/*
%dir %_monodir/gmime-sharp
%_monodir/gmime-sharp/*
%_libdir/pkgconfig/gmime-sharp.pc
%_datadir/gapi-2.0/gmime-api.xml

%if_enabled static
%files -n %name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 2.2.4-alt1
- 2.4.4

* Thu Nov 23 2006 Alexey Shabalin <shaba@altlinux.ru> 2.2.3-alt1
- NMU: 2.2.3 (needed for beaagle-0.2.13)
- move pkgconfig/gmime-sharp.pc to package gmime-sharp
- disable build static libs
- change home url

* Tue Jan 24 2006 Vital Khilko <vk@altlinux.ru> 2.1.19-alt1
- NMU: 2.1.19 (needed for beagle-0.2)

* Wed Jan 18 2006 Vital Khilko <vk@altlinux.ru> 2.1.17-alt1.1
- NMU: added mono bindings

* Fri Dec 23 2005 Andrey Semenov <mitrofan@altlinux.ru> 2.1.17-alt1
- new version

* Fri Sep 16 2005 Andrey Semenov <mitrofan@altlinux.ru> 2.1.14-alt1
- 2.1.14

* Tue Oct 05 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.1.9-alt1
- new version

* Thu Jul 22 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.1.7-alt1
- First version of RPM package
